# $Revision: 1.66.2.10 $, $Date: 2008/09/02 08:11:36 $
#
# Conditional build:
%bcond_with	java	# build db-java
%bcond_without	tcl	# don't build Tcl bindings
%bcond_with	pmutex	# use POSIX mutexes (only process-private with linuxthreads)
%bcond_with	nptl	# use process-shared POSIX mutexes (NPTL provides full interface)
#
%define		ver			4.2.52
%define		patchlevel	5
#
%{?with_nptl:%define	with_pmutex	1}
Summary:	Berkeley DB database library for C
Summary(pl):	Biblioteka C do obsugi baz Berkeley DB
Name:		db
Version:	%{ver}.%{patchlevel}
Release:	1
License:	Sleepycat public license (GPL-like, see LICENSE)
Group:		Libraries
# alternative site (sometimes working): http://www.berkeleydb.com/
#Source0Download: http://www.sleepycat.com/download/
Source0:	http://www.sleepycat.com/update/snapshot/%{name}-%{ver}.tar.gz
# Source0-md5:	cbc77517c9278cdb47613ce8cb55779f
%patchset_source -f http://www.oracle.com/technology/products/berkeley-db/db/update/%{ver}/patch.%{ver}.%g 1 %{patchlevel}
Patch0:		%{name}-so-suffix.patch
Patch1:		%{name}-amd64-fastmutex.patch
URL:		http://www.oracle.com/technology/software/products/berkeley-db/db/index.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ed
%{?with_java:BuildRequires:	jdk}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.426
BuildRequires:	sed >= 4.0
%{?with_tcl:BuildRequires:	tcl-devel >= 8.4.0}
Obsoletes:	db4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB is used by many applications,
including Python and Perl, so this should be installed on all systems.

%description -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley db jest uywana w wielu aplikacjach, w tym w
Pythonie i Perlu.

%package devel
Summary:	Header files for Berkeley database library
Summary(pl):	Pliki nagwkowe do biblioteki Berkeley Database
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	db3-devel
Obsoletes:	db4-devel

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains the header files, libraries, and documentation
for building programs which use Berkeley DB.

%description devel -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley DB obsuguje dostp do bazy przez B-drzewa i
funkcje mieszajce ze sta lub zmienn wielkoci rekordu,
transakcje, kroniki, pami dzielon i odtwarzanie baz. Ma wsparcie
dla C, C++, Javy i Perla.

Ten pakiet zawiera pliki nagwkowe i dokumentacj do budowania
programw uywajcych Berkeley DB.

%package static
Summary:	Static libraries for Berkeley database library
Summary(pl):	Statyczne biblioteki Berkeley Database
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	db3-static
Obsoletes:	db4-static

%description static
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains the static libraries for building programs which
use Berkeley DB.

%description static -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley DB obsuguje dostp do bazy przez B-drzewa i
funkcje mieszajce ze sta lub zmienn wielkoci rekordu,
transakcje, kroniki, pami dzielon i odtwarzanie baz. Ma wsparcie
dla C, C++, Javy i Perla.

Ten pakiet zawiera statyczne biblioteki do budowania programw
uywajcych Berkeley DB.

%package cxx
Summary:	Berkeley database library for C++
Summary(pl):	Biblioteka baz danych Berkeley dla C++
Group:		Libraries
Obsoletes:	db4-cxx

%description cxx
Berkeley database library for C++.

%description cxx -l pl
Biblioteka baz danych Berkeley dla C++.

%package cxx-devel
Summary:	Header files for db-cxx library
Summary(pl):	Pliki nagwkowe biblioteki db-cxx
Group:		Development/Libraries
Requires:	%{name}-cxx = %{epoch}:%{version}-%{release}
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:	db-devel < 4.1.25-3

%description cxx-devel
Header files for db-cxx library.

%description cxx-devel -l pl
Pliki nagwkowe biblioteki db-cxx.

%package cxx-static
Summary:	Static version of db-cxx library
Summary(pl):	Statyczna wersja biblioteki db-cxx
Group:		Development/Libraries
Requires:	%{name}-cxx-devel = %{epoch}:%{version}-%{release}
Conflicts:	db-static < 4.2.50-1

%description cxx-static
Static version of db-cxx library.

%description cxx-static -l pl
Statyczna wersja biblioteki db-cxx.

%package java
Summary:	Berkeley database library for Java
Summary(pl):	Biblioteka baz danych Berkeley dla Javy
Group:		Libraries
Requires:	jre

%description java
Berkeley database library for Java.

%description java -l pl
Biblioteka baz danych Berkeley dla Javy.

%package java-devel
Summary:	Development files for db-java library
Summary(pl):	Pliki programistyczne biblioteki db-java
Group:		Development/Languages/Java
Requires:	%{name}-java = %{epoch}:%{version}-%{release}
Conflicts:	db-devel < 4.1.25-3

%description java-devel
Development files for db-java library.

%description java-devel -l pl
Pliki programistyczne biblioteki db-java.

%package tcl
Summary:	Berkeley database library for Tcl
Summary(pl):	Biblioteka baz danych Berkeley dla Tcl
Group:		Development/Languages/Tcl
Requires:	tcl
Obsoletes:	db4-tcl

%description tcl
Berkeley database library for Tcl.

%description tcl -l pl
Biblioteka baz danych Berkeley dla Tcl.

%package tcl-devel
Summary:	Development files for db-tcl library
Summary(pl):	Pliki programistyczne biblioteki db-tcl
Group:		Development/Languages/Tcl
Requires:	%{name}-tcl = %{epoch}:%{version}-%{release}
Conflicts:	db-devel < 4.1.25-3

%description tcl-devel
Development files for db-tcl library.

%description tcl-devel -l pl
Pliki programistyczne biblioteki db-tcl.

%package utils
Summary:	Command line tools for managing Berkeley DB databases
Summary(pl):	Narzdzia do obsugi baz Berkeley DB z linii polece
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	db3-utils
Obsoletes:	db4-utils
# obsolete Ra package

%description utils
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains command line tools for managing Berkeley DB
databases.

%description utils -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley DB obsuguje dostp do bazy przez B-drzewa i
funkcje mieszajce ze sta lub zmienn wielkoci rekordu,
transakcje, kroniki, pami dzielon i odtwarzanie baz. Ma wsparcie
dla C, C++, Javy i Perla.

Ten pakiet zawiera narzdzia do obsugi baz Berkeley DB z linii
polece.

%prep
%setup -q -n %{name}-%{ver}

# official patches
%patchset_patch 1 %{patchlevel}

%patch0 -p1
%patch1 -p1

%if %{without nptl}
sed -i -e 's,AM_PTHREADS_SHARED("POSIX/.*,:,' dist/aclocal/mutex.ac
%endif

%build
cd dist
cp -f /usr/share/aclocal/libtool.m4 aclocal/libtool.ac
cp -f /usr/share/automake/config.sub .
cp -f /usr/share/libtool/ltmain.sh .
sh s_config
cd ..

cp -a build_unix build_unix.static

cd build_unix.static

CC="%{__cc}"
CXX="%{__cxx}"
CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcflags} -fno-implicit-templates"
LDFLAGS="%{rpmldflags}"
export CC CXX CFLAGS CXXFLAGS LDFLAGS

../dist/%configure \
	--enable-compat185 \
	--disable-shared \
	--enable-static \
	--enable-rpc \
	--%{?with_pmutex:en}%{!?with_pmutex:dis}able-posixmutexes \
	--enable-cxx

# (temporarily?) disabled because of compilation errors:
#	--enable-dump185 \

%{__make} library_build

cd ../build_unix

../dist/%configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--enable-compat185 \
	--enable-rpc \
	--%{?with_pmutex:en}%{!?with_pmutex:dis}able-posixmutexes \
	--enable-cxx \
	%{?with_tcl:--enable-tcl} \
	%{?with_tcl:--with-tcl=/usr/lib} \
	%{?with_java:--enable-java} \
	--disable-static \
	--enable-shared

%{__make} library_build \
	TCFLAGS='-I$(builddir) -I%{_includedir}' \
	LIBSO_LIBS="\$(LIBS)" \
	LIBTSO_LIBS="\$(LIBS) -ltcl"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{_bindir},/%{_lib}}
%if %{with java}
install -d $RPM_BUILD_ROOT%{_javadir}
%endif

%{__make} -C build_unix.static library_install \
	docdir=%{_docdir}/%{name}-%{version}-docs \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C build_unix library_install \
	docdir=%{_docdir}/%{name}-%{version}-docs \
	DESTDIR=$RPM_BUILD_ROOT \
	LIB_INSTALL_FILE_LIST=""

mv $RPM_BUILD_ROOT%{_libdir}/libdb-4.2.so $RPM_BUILD_ROOT/%{_lib}

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf /%{_lib}/libdb-4.2.so libdb.so
ln -sf /%{_lib}/libdb-4.2.so libdb4.so
ln -sf /%{_lib}/libdb-4.2.so libdb-4.2.so
ln -sf /%{_lib}/libdb-4.2.so libndbm.so
ln -sf libdb-4.2.la libdb.la
ln -sf libdb-4.2.la libdb4.la
ln -sf libdb-4.2.la libndbm.la
%if %{with java}
ln -sf libdb_java-4.2.la libdb_java.la
mv -f $RPM_BUILD_ROOT%{_libdir}/*.jar $RPM_BUILD_ROOT%{_javadir}
%endif
%if %{with tcl}
ln -sf libdb_tcl-4.2.so libdb_tcl.so
ln -sf libdb_tcl-4.2.la libdb_tcl.la
%endif
ln -sf libdb_cxx-4.2.la libdb_cxx.la
mv -f libdb.a libdb-4.2.a
ln -sf libdb-4.2.a libdb.a
ln -sf libdb-4.2.a libdb4.a
ln -sf libdb-4.2.a libndbm.a
mv -f libdb_cxx.a libdb_cxx-4.2.a
ln -sf libdb_cxx-4.2.a libdb_cxx.a
ln -sf libdb_cxx-4.2.so libdb_cxx.so

sed -i "s/old_library=''/old_library='libdb-4.2.a'/" libdb-4.2.la
sed -i "s/old_library=''/old_library='libdb_cxx-4.2.a'/" libdb_cxx-4.2.la

cd -
rm -f examples_c*/tags
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -rf examples_c/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-cxx-%{version}
cp -rf examples_cxx/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-cxx-%{version}

%if %{with java}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-java-%{version}
cp -rf examples_java/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-java-%{version}
%else
rm -rf $RPM_BUILD_ROOT%{_docdir}/db-%{version}-docs/java
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	tcl -p /sbin/ldconfig
%postun	tcl -p /sbin/ldconfig

%post	cxx -p /sbin/ldconfig
%postun	cxx -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) /%{_lib}/libdb-4.2.so
%dir %{_docdir}/%{name}-%{version}-docs
%{_docdir}/%{name}-%{version}-docs/sleepycat
%{_docdir}/%{name}-%{version}-docs/index.html

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb-4.2.so
%attr(755,root,root) %{_libdir}/libdb4.so
%attr(755,root,root) %{_libdir}/libdb.so
%attr(755,root,root) %{_libdir}/libndbm.so
%{_libdir}/libdb-4.2.la
%{_libdir}/libdb4.la
%{_libdir}/libdb.la
%{_libdir}/libndbm.la
%{_includedir}/db.h
%{_includedir}/db_185.h
%{_docdir}/%{name}-%{version}-docs/api_c
%{_docdir}/%{name}-%{version}-docs/images
%{_docdir}/%{name}-%{version}-docs/ref
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libdb-4.2.a
%{_libdir}/libdb4.a
%{_libdir}/libdb.a
%{_libdir}/libndbm.a

%files cxx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb_cxx-4.2.so

%files cxx-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb_cxx.so
%{_includedir}/db_cxx.h
%{_libdir}/libdb_cxx-4.2.la
%{_libdir}/libdb_cxx.la
%{_docdir}/%{name}-%{version}-docs/api_cxx
%{_examplesdir}/%{name}-cxx-%{version}

%files cxx-static
%defattr(644,root,root,755)
%{_libdir}/libdb_cxx-4.2.a
%{_libdir}/libdb_cxx.a

%if %{with java}
%files java
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb_java-4.2.so
%{_javadir}/db.jar

%files java-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb_java.so
%{_libdir}/libdb_java-4.2.la
%{_libdir}/libdb_java.la
%{_docdir}/%{name}-%{version}-docs/java
%{_examplesdir}/%{name}-java-%{version}
%endif

%if %{with tcl}
%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb_tcl-4.2.so

%files tcl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb_tcl.so
%{_libdir}/libdb_tcl-4.2.la
%{_libdir}/libdb_tcl.la
%{_docdir}/%{name}-%{version}-docs/api_tcl
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/berkeley_db_svc
%attr(755,root,root) %{_bindir}/db*_archive
%attr(755,root,root) %{_bindir}/db*_checkpoint
%attr(755,root,root) %{_bindir}/db*_deadlock
%attr(755,root,root) %{_bindir}/db*_dump
#%attr(755,root,root) %{_bindir}/db*_dump185
%attr(755,root,root) %{_bindir}/db*_load
%attr(755,root,root) %{_bindir}/db*_printlog
%attr(755,root,root) %{_bindir}/db*_recover
%attr(755,root,root) %{_bindir}/db*_stat
%attr(755,root,root) %{_bindir}/db*_upgrade
%attr(755,root,root) %{_bindir}/db*_verify
%{_docdir}/%{name}-%{version}-docs/utility

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: db.spec,v $
Revision 1.66.2.10  2008/09/02 08:11:36  glen
- up to 4.2.52.5

Revision 1.66.2.9  2005/12/02 08:31:25  qboosh
- -utils Obsoletes: db3-utils (no db3 after Ra)

Revision 1.66.2.8  2005/11/25 12:37:39  qboosh
- create libdb-4.2.so symlink instead of libdb-4.so (to use -ldb-4.2)
- sync cosmetics with current db
- release 12

Revision 1.66.2.7  2005/07/27 19:22:17  arekm
- rel 11 (fix fastmutexes on amd64; add official fixes nr 3 and 4)

Revision 1.66.2.6  2005/06/22 10:47:23  qboosh
- simplified lib moving (just move libdb-4.2.so instead of moving all the rest
  and hacking *.la)

Revision 1.66.2.5  2005/06/22 09:36:45  qboosh
- release 10

Revision 1.66.2.4  2005/06/22 09:20:15  qboosh
- hack not to use process-shared POSIX mutexes by default even if
  compiled on builder running Linux 2.6.x

Revision 1.66.2.3  2005/06/20 10:38:26  baggins
- release 9
- fixed install

Revision 1.66.2.2  2005/06/19 23:02:57  baggins
- rel 8
- moved main library to /lib
- STBR

Revision 1.66.2.1  2004/11/17 18:20:26  qboosh
- fixed symlink dup in -java

Revision 1.66  2004/11/11 19:48:18  saq
- mass commit: using %%{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.65  2004/10/25 10:44:37  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.64  2004/10/16 13:35:41  mmazur
- rel 7 for th

Revision 1.63  2004/10/08 09:34:50  qboosh
- cleanup

Revision 1.62  2004/10/03 17:41:27  adgor
- Fixed nptl bcond

Revision 1.61  2004/08/31 03:31:57  snurf
- typos / formatting / etc.

Revision 1.60  2004/08/19 15:37:03  twittner
- reverted - --with-tcl=/usr/lib is back (see: tcl.spec and _ulibdir %def.)

Revision 1.59  2004/08/19 14:28:08  twittner
- use %_libdir instead of /usr/lib

Revision 1.58  2004/07/24 20:38:19  qboosh
- release 6

Revision 1.57  2004/07/24 20:38:02  qboosh
- posixmutexes handling fix (now only private cap depends on build env)
- fixed libdb and libdb_tcl linking

Revision 1.56  2004/07/15 15:01:55  pluto
- R(jre) added for db-java.

Revision 1.55  2004/07/08 11:41:43  pluto
- `install -d' -= /lib

Revision 1.54  2004/05/30 18:27:03  qboosh
- added 2 official patches for 4.2.52; release 5

Revision 1.53  2004/05/13 20:31:33  ankry
- spaces -> tabs, other cosmetics

Revision 1.52  2004/05/09 19:36:38  arekm
- fixed java; rel 4

Revision 1.51  2004/05/08 13:10:27  saq
- move db.jar to /usr/share/java

Revision 1.50  2004/05/04 22:55:54  arekm
- fix building db-java + db-java-devel introduced

Revision 1.49  2004/04/20 15:03:13  pluto
- symlink (libdb_tcl.so) added (thx. PawciooS).

Revision 1.48  2004/04/15 18:01:11  qboosh
- cp -f instead of rm+cp

Revision 1.47  2004/04/15 09:03:47  krzak
- BR: jdk instead jdkgcj
- fixed build process

Revision 1.46  2004/04/15 01:50:03  pluto
- native java support, NFY (todo?: libdb_java-4.2.lai.)

Revision 1.45  2004/04/15 01:18:44  pluto
- symlinks, BR: sed >= 4.0.

Revision 1.44  2004/04/15 00:54:08  pluto
- libtool fixes (thx. qboosh).

Revision 1.43  2004/02/26 06:44:18  pluto
- epoch, strict deps.

Revision 1.42  2004/02/09 10:26:45  pluto
- fixed bcond. spaces -> tab.

Revision 1.41  2004/02/03 16:09:46  pluto
- added -lpthread (nptl). it seems to work.

Revision 1.40  2004/02/02 13:55:38  pluto
- added %bcond_with nptl (--enable-posixmutexes)

Revision 1.39  2004/01/02 16:03:29  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.38  2003/12/31 14:50:34  jajcus
- copy config.sub from automake

Revision 1.37  2003/12/18 21:58:55  arekm
- always use libtool.m4 macro provided by system libtool (fixes build on amd64); rel 2

Revision 1.36  2003/12/16 12:20:27  qboosh
- updated to 4.2.52 (mostly docs updates, one txn bugfix)
- strict internal deps (the same release - some pkgs check build date)
- fixed License information

Revision 1.35  2003/11/28 23:40:44  qboosh
- aaaarrrrggh, typo; no need to bcond post/postun

Revision 1.34  2003/11/28 16:17:03  wiget
- added tcl bcond (default on)
- fixed tcl BR

Revision 1.33  2003/11/26 14:10:50  adgor
- Some links moved to apropriate *-devel subpkgs

Revision 1.32  2003/11/26 11:03:39  qboosh
- split html docs over subpackages with working hyperlinks
- DESTDIR-style install

Revision 1.31  2003/11/26 10:19:59  qboosh
- separated cxx-static, don't use C++ options for C compiler
- new-style bcond, BR: jdk for it (gcc-java is not sufficient)

Revision 1.30  2003/11/26 09:57:33  arekm
- fix symlinks, use %%configure macro

Revision 1.29  2003/11/26 09:11:25  arekm
- updated to 4.2.50

Revision 1.28  2003/11/18 16:48:20  adasi
- force passing libdir to configure/make install for x86_64 compatibility

Revision 1.27  2003/10/29 13:27:43  michuz
- BR jdk replaced by BR gcc-java

Revision 1.26  2003/10/24 13:06:38  qboosh
- -cxx-devel R: -devel, new -*-devel conflicts with old -devel (not obsoletes)

Revision 1.25  2003/08/30 21:36:46  qboosh
- ugh, License is BSD, not GPL

Revision 1.24  2003/08/29 11:36:01  yoshi
- typo in polish description

Revision 1.23  2003/08/22 23:56:02  mmazur
- rel: 4 for ac

Revision 1.22  2003/07/21 20:40:01  adgor
- Separated cxx-devel & tcl-devel
- Putting subpkgs in alphabetical order (devel & static on top)
- TODO: splitting development docs; proper desc.

Revision 1.21  2003/07/19 14:21:53  adgor
- Fixed req

Revision 1.20  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 05:46:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/25 19:21:25  qboosh
- standardized bcond description

Revision 1.17  2003/04/22 18:37:28  bszx
- removed -fno-rtti. xca don't compile with it.

Revision 1.16  2003/04/14 19:09:42  djurban
- added bcond list on top of spec.

Revision 1.15  2003/03/28 17:20:11  wiget
- added 1st oficial patch
- release 2

Revision 1.14  2003/01/13 14:54:27  qboosh
- removed BR: gcc-c++ (implied by libstdc++-devel) and kernel-headers
  (glibc-kernel-headers implied by glibc-devel)

Revision 1.13  2003/01/12 02:21:04  jack
- added BR: autoconf ed kernel-headers libstdc++-devel

Revision 1.12  2003/01/07 11:19:54  qboosh
- URLs back to sleepycat.com - berkeleydb.com seems dead since long time

Revision 1.11  2003/01/04 09:46:12  undefine
- add br: gcc-c++
- changed url to working one

Revision 1.10  2002/12/30 22:16:04  qboosh
- updated to 4.1.25, removed obsolete patches

Revision 1.9  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/11/24 17:14:22  qboosh
- fixed optflags passing, release 5

Revision 1.7  2002/11/19 10:35:44  wrobell
- added patch to disable O_DIRECT flag testing (O_DIRECT is silently
  ignored by 2.2.x kernels, so db will not work on 2.4.x, which returns
  EINVAL on read/write)
- rel. 4

Revision 1.6  2002/11/19 01:59:34  wrobell
- rel. 3.1 to build with kernel 2.4.19 headers

Revision 1.5  2002/11/18 15:48:11  misiek
- added vendor patches 1-6 (http://www.sleepycat.com/update/4.1.24/patch.4.1.24.html); rel 3

Revision 1.4  2002/10/20 16:44:22  qboosh
- removed duplicates of all libraries from -devel
- added symlinks for -lndbm
- Obsoletes for easy upgrade
- release 2

Revision 1.3  2002/10/18 17:09:05  mmazur
- some fixes

Revision 1.2  2002/10/18 09:11:28  mmazur
- updated to 4.1.24

Revision 1.1  2002/10/15 16:47:24  mmazur
- db.spec... there can be only one
